html, body {
  height: 100%;
}

.spacer {
  flex: 1 1 auto;
}

.error {
  margin-left: 1rem;
  color: #ff3f81;
}

.right-content {
  padding-top: 4rem;
}

.background-none {
  background: none;
}

.color-grey {
  color: #c9c9c9;
}

.foooter-header-font {
  font-size: 15px;
}

.title-font-size {
  font-size: 25px;
}

.display-inline-block {
  display: inline-block;
}

.btn-login {
  width: 130px;
  height: 45px;
  border-radius: 40px;
}

.right-title {
  margin-bottom: 30px;
}

.btn-icon {
  margin-right: 2px;
  font-size: 16px;
  padding-bottom: 2px;
}

.btn-side-auth {
  width: 130px;
  border-radius: 40px;
  color: white;
  background: rgba(0, 45, 117, 80%);
}

input {
  margin-bottom: 20px;
  background: none;
  height: 45px;
  border-radius: 40px;
  color: white;
  border: 1px solid rgba(140, 140, 140, 30%);
  font-size: 15px;
}

::placeholder {
  color: #c9c9c9;
}

input:focus {
  background: none;
  color: white;
}

.left-content {
  display: flex;
  align-items: center;
  font-size: x-large;
}

.bg {
  height: 100%;
  background-color: #131bad;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.center {
  display: flex;
  justify-content: center;
}

.color-white {
  color: white;
}

.font-size-50px {
  font-size: 50px;
}

.margin-left-10px {
  margin-left: 10px;
}

.footer-padding-bottom {
  padding-bottom: 15px;
}

.padding-top-35px {
  padding-top: 35px;
}

.float-left {
  float: left;
}

.float-right {
  float: right;
}

.center-screen {
  display: flex;
  justify-content: center;
}

.container {
  margin: auto;
}

.separator-horizontal {
  height: 1px;
  width: 150px;
  border-bottom: 2px solid rgba(140, 140, 140, 30%);
  margin-top: 10px;
}

.submit-group {
  padding-top: 15px;
  height: 90px;
  align-items: center;
  display: flex;
}

.separator-vertical {
  border-left: 2px solid rgba(140, 140, 140, 30%);
  height: 400px;
  margin-right: 40px;
  margin-left: 40px;
}

@media screen and (min-width:1024px) and (max-width:1366px) {
  .center-screen {
    margin: 2rem;
  }
  .left-content {
    font-size: 3rem;
  }
  form {
    margin: 1rem;
  }
}

@media screen and (min-width:768px) and (max-width:1024px) {
  .center-screen {
    margin: 2rem;
  }
  .left-content {
    font-size: 2rem;
  }
  form {
    margin: 1rem;
  }
}

@media screen and (max-width:576px) and (max-height:823px) {
  .submit-group {
    padding-top: 0;
  }
  .center-screen {
    flex-direction: column;
    align-content: center;
    margin: auto;
  }
  .separator-vertical {
    border-bottom: 2px solid rgba(140, 140, 140, 30%);
    height: 0px;
    margin: 1rem;
  }
  .left-content {
    display: block;
    font-size: large;
    text-align: center;
  }
  .right-title {
    margin-bottom: 0%;
  }
  .margin-left-10px {
    margin-left: 0%;
  }
  .inline {
    display: block;
    text-align: center;
  }
  .footer {
    font-size: x-small;
  }
  .sep {
    margin: 0;
  }
  .revers {
    display: flex;
    flex-flow: column-reverse;
  }
  form {
    margin: 1rem;
  }
  .cen {
    margin: auto;
  }
}

@media screen and (max-width:320px) and (max-height:568px) {
  .mat-button {
    padding-right: 0;
    padding-left: 0;
    margin-left: 10px;
  }
  .center-screen {
    flex-direction: column;
    align-content: center;
    margin: auto;
  }
  .separator-vertical {
    border-bottom: 0px;
    height: 0px;
    margin: 0rem;
  }
  .separator-horizontal {
    width: 8rem;
  }
  .left-content {
    text-align: center;
    font-size: medium;
  }
  .right-title {
    margin-bottom: 0%;
  }
  .inline {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0;
  }
  .footer {
    font-size: x-small;
  }
  .revers {
    display: flex;
    flex-flow: column-reverse;
  }
  .right-content {
    display: flex;
    flex-flow: wrap;
  }
  form {
    margin: auto;
    padding-top: 1rem;
  }
  .cen {
    margin-left: 0.8rem;
  }
}